%define _pseudouser_user _teeworlds
%define _pseudouser_group _teeworlds
%define _pseudouser_home /var/empty

Name: teeworlds
Version: 0.5.2
Release: alt1

Packager: Vicror Forsyuk <force@altlinux.org>

Summary: Cute little buggers with guns
License: distributable
Group: Games/Arcade

Url: http://www.teeworlds.com/
Source: http://www.teeworlds.com/files/teeworlds-%version-src.tar.gz
Source1: http://teeworlds.com/trac/bam/browser/releases/bam-0.2.0.tar.gz
Source2: teeworlds.desktop
Source3: teeworlds.png
Source4: teeworlds16.png
Source5: teeworlds32.png
Source6: teeworlds-altlinux.tgz
Patch1: instagib-2.1.patch
Patch2: teeworlds-0.5.1-extlibs.patch

Requires: teeworlds-gamedata = %version-%release
# Automatically added by buildreq on Wed Sep 02 2009
BuildRequires: gcc-c++ libGL-devel libSDL-devel libX11-devel libpnglite-devel libwavpack-devel python-modules zlib-devel

%description
Cute little buggers with guns. Online multi-player platform 2D shooter.

%package gamedata
Summary: Game data for teeworlds
License: distributable
Group: Games/Arcade
BuildArch: noarch

%description gamedata
Game data for teeworlds 2D shooter.

%package server
Summary: Teeworlds dedicated server
Group: System/Servers
Requires: teeworlds-gamedata = %version-%release

%description server
Teeworlds dedicated server

%package server-instagib
Summary: Instagib initscripts and config for teeworlds server
Group: System/Servers
Requires: teeworlds-server = %version-%release

%description server-instagib
Teeworlds instagib enabled dedicated server. Features:
* One-hit-kill
* Killing spree
* Rifle only
* No powerups
* DM/TDM/CTF-support

%prep
%setup -a 1 -a6 -n %name-%version-src
%patch1 -p0
%patch2 -p1

%build
cd bam-0.2.0
./make_unix.sh
cd ..
bam-0.2.0/src/bam release

%install
install -d %buildroot{%_bindir,%_datadir/teeworlds}
install -pm755 teeworlds teeworlds_srv %buildroot%_bindir
cp -a data/* %buildroot%_datadir/teeworlds/

install -pDm644 %_sourcedir/teeworlds.desktop %buildroot%_desktopdir/teeworlds.desktop
install -pDm644 %_sourcedir/teeworlds.png %buildroot%_liconsdir/teeworlds.png
install -pDm644 %_sourcedir/teeworlds16.png %buildroot%_miconsdir/teeworlds.png
install -pDm644 %_sourcedir/teeworlds32.png %buildroot%_niconsdir/teeworlds.png

install -d %buildroot%_var/run/%name

install -pDm755 altlinux/teeworlds-dm.init %buildroot%_initdir/teeworlds-dm
install -pDm755 altlinux/teeworlds-tdm.init %buildroot%_initdir/teeworlds-tdm
install -pDm755 altlinux/teeworlds-ctf.init %buildroot%_initdir/teeworlds-ctf

install -pDm755 altlinux/teeworlds-idm.init %buildroot%_initdir/teeworlds-idm
install -pDm755 altlinux/teeworlds-itdm.init %buildroot%_initdir/teeworlds-itdm
install -pDm755 altlinux/teeworlds-ictf.init %buildroot%_initdir/teeworlds-ictf

install -pDm644 altlinux/teeworlds-dm.sysconfig %buildroot%_sysconfdir/sysconfig/teeworlds-dm
install -pDm644 altlinux/teeworlds-tdm.sysconfig %buildroot%_sysconfdir/sysconfig/teeworlds-tdm
install -pDm644 altlinux/teeworlds-ctf.sysconfig %buildroot%_sysconfdir/sysconfig/teeworlds-ctf

install -pDm644 altlinux/teeworlds-idm.sysconfig %buildroot%_sysconfdir/sysconfig/teeworlds-idm
install -pDm644 altlinux/teeworlds-itdm.sysconfig %buildroot%_sysconfdir/sysconfig/teeworlds-itdm
install -pDm644 altlinux/teeworlds-ictf.sysconfig %buildroot%_sysconfdir/sysconfig/teeworlds-ictf

install -pDm644 altlinux/server-dm.cfg %buildroot%_sysconfdir/%name/server-dm.cfg
install -pDm644 altlinux/server-tdm.cfg %buildroot%_sysconfdir/%name/server-tdm.cfg
install -pDm644 altlinux/server-ctf.cfg %buildroot%_sysconfdir/%name/server-ctf.cfg

install -pDm644 altlinux/server-idm.cfg %buildroot%_sysconfdir/%name/server-idm.cfg
install -pDm644 altlinux/server-itdm.cfg %buildroot%_sysconfdir/%name/server-itdm.cfg
install -pDm644 altlinux/server-ictf.cfg %buildroot%_sysconfdir/%name/server-ictf.cfg

%pre server
/usr/sbin/groupadd -r -f %_pseudouser_group ||:
/usr/sbin/useradd -g %_pseudouser_group -c 'The teeworlds daemon' \
    -d %_pseudouser_home -s /dev/null -r %_pseudouser_user >/dev/null 2>&1 ||:

%post server
%post_service teeworlds-dm
%post_service teeworlds-tdm
%post_service teeworlds-ctf

%post server-instagib
%post_service teeworlds-idm
%post_service teeworlds-itdm
%post_service teeworlds-ictf

%preun server
%preun_service teeworlds-dm
%preun_service teeworlds-tdm
%preun_service teeworlds-ctf

%preun server-instagib
%preun_service teeworlds-idm
%preun_service teeworlds-itdm
%preun_service teeworlds-ictf

%files
%_bindir/teeworlds
%_desktopdir/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*

%files server
%_bindir/teeworlds_srv
%_initdir/%name-dm
%_initdir/%name-tdm
%_initdir/%name-ctf
%config(noreplace) %_sysconfdir/sysconfig/%name-dm
%config(noreplace) %_sysconfdir/sysconfig/%name-tdm
%config(noreplace) %_sysconfdir/sysconfig/%name-ctf
%config(noreplace) %_sysconfdir/%name/server-dm.cfg
%config(noreplace) %_sysconfdir/%name/server-tdm.cfg
%config(noreplace) %_sysconfdir/%name/server-ctf.cfg
%dir %_sysconfdir/%name
%dir %attr(0770,root,%_pseudouser_group) %_var/run/%name

%files server-instagib
%config(noreplace) %_sysconfdir/%name/server-i*
%config(noreplace) %_sysconfdir/sysconfig/teeworlds-i*
%_initdir/teeworlds-i*

%files gamedata
%_datadir/teeworlds

%changelog
* Mon Nov 23 2009 Victor Forsyuk <force@altlinux.org> 0.5.2-alt1
- 0.5.2

* Wed Sep 02 2009 Victor Forsyuk <force@altlinux.org> 0.5.1-alt1
- 0.5.1
- Add instagib patch.
- Build with external pnglite and wavpack libraries.

* Wed Jan 14 2009 Victor Forsyuk <force@altlinux.org> 0.5.0-alt1
- 0.5.0

* Tue Dec 02 2008 Victor Forsyuk <force@altlinux.org> 0.4.3-alt2
- Renew build requirements to fix FTBFS.

* Mon Sep 01 2008 Victor Forsyuk <force@altlinux.org> 0.4.3-alt1
- 0.4.3

* Fri Aug 08 2008 Victor Forsyuk <force@altlinux.org> 0.4.2-alt1
- Initial build.
